% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/clusterFunctionsSGE.R
\name{makeClusterFunctionsSGE}
\alias{makeClusterFunctionsSGE}
\title{ClusterFunctions for SGE Systems}
\usage{
makeClusterFunctionsSGE(template = findTemplateFile("sge"))
}
\arguments{
\item{template}{[\code{character(1)}]\cr
Path to a brew template file that can be used for the job description.
Alternatively, the template as a single string (including at least one newline \dQuote{\\n}).
Defaults to a heuristic which looks for a template file in the following locations and picks
the first one found:
\enumerate{
  \item \dQuote{batchtools.sge.tmpl} in the current working directory.
  \item \dQuote{sge.tmpl} in the user config directory (see \code{\link[rappdirs]{user_config_dir}}); on linux is is usually \dQuote{~/.config/batchtools/sge.tmpl}.
  \item \dQuote{.batchtools.sge.tmpl} in the home directory.
  \item \dQuote{sge.default.tmpl} in the package installation directory in the subfolder \dQuote{templates} (this probably does not exist for your cluster system or needs adaptation).
}}
}
\value{
[\code{\link{ClusterFunctions}}].
}
\description{
Job files are created based on the brew template \code{template}. This
file is processed with brew and then submitted to the queue using the
\code{qsub} command. Jobs are killed using the \code{qdel} command and the
list of running jobs is retrieved using \code{qselect}. The user must have
the appropriate privileges to submit, delete and list jobs on the cluster
(this is usually the case).

The template file can access all resources passed to \code{\link{submitJobs}}
as well as all variables stored in the \code{\link{JobCollection}}.
It is the template file's job to choose a queue for the job and handle the desired resource
allocations.
}
\seealso{
Other ClusterFunctions: \code{\link{makeClusterFunctionsDocker}},
  \code{\link{makeClusterFunctionsInteractive}},
  \code{\link{makeClusterFunctionsLSF}},
  \code{\link{makeClusterFunctionsMulticore}},
  \code{\link{makeClusterFunctionsOpenLava}},
  \code{\link{makeClusterFunctionsSSH}},
  \code{\link{makeClusterFunctionsSlurm}},
  \code{\link{makeClusterFunctionsSocket}},
  \code{\link{makeClusterFunctionsTorque}},
  \code{\link{makeClusterFunctions}}
}

